public inbox for ltp@lists.linux.it
 help / color / mirror / Atom feed
* [LTP] [PATCH 0/4] Remove runltp
@ 2026-02-04 11:53 Petr Vorel
  2026-02-04 11:53 ` [LTP] [PATCH 1/4] doc: INSTALL: dma_thread_diotest.c: Remove runltp from doc Petr Vorel
                   ` (4 more replies)
  0 siblings, 5 replies; 17+ messages in thread
From: Petr Vorel @ 2026-02-04 11:53 UTC (permalink / raw)
  To: ltp
  Cc: Thomas Petazzoni, Vasileios Almpanis, Tim Bird, Julien Olivain,
	automated-testing

Hi all,

we finally decided to remove runltp [1].
Kirk is the replacement [2] (embedded also as a submodule in LTP).

Kind regards,
Petr

[1] https://lore.kernel.org/ltp/aYMQ63RcLp5KdlVt@yuki.lan/
[2] https://github.com/linux-test-project/kirk

Petr Vorel (4):
  doc: INSTALL: dma_thread_diotest.c: Remove runltp from doc
  testscripts/lvmtest.sh: Replace runltp with kirk
  runltp: Remove
  kirk: Remove runltp-ng symlink

 INSTALL                                       |   4 +-
 Makefile                                      |   2 +-
 doc/developers/test_case_tutorial.rst         |   6 +-
 doc/developers/todo.rst                       |  10 -
 metadata/README.md                            |   2 +-
 runltp                                        | 959 ------------------
 .../kernel/fs/fs_readonly/test_robind.sh      |   2 +-
 .../kernel/io/direct_io/dma_thread_diotest.c  |   3 +-
 testcases/kernel/security/smack/README        |   2 +-
 testcases/network/can/filter-tests/INSTALL    |   2 +-
 testcases/network/rpc/rpc-tirpc/README        |   2 +-
 testscripts/Readme_ROBind                     |   4 +-
 testscripts/lvmtest.sh                        |   2 +-
 tools/kirk/Makefile                           |   2 -
 14 files changed, 16 insertions(+), 986 deletions(-)
 delete mode 100755 runltp

-- 
2.51.0


-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

* [LTP] [PATCH 1/4] doc: INSTALL: dma_thread_diotest.c: Remove runltp from doc
  2026-02-04 11:53 [LTP] [PATCH 0/4] Remove runltp Petr Vorel
@ 2026-02-04 11:53 ` Petr Vorel
  2026-02-04 11:53 ` [LTP] [PATCH 2/4] testscripts/lvmtest.sh: Replace runltp with kirk Petr Vorel
                   ` (3 subsequent siblings)
  4 siblings, 0 replies; 17+ messages in thread
From: Petr Vorel @ 2026-02-04 11:53 UTC (permalink / raw)
  To: ltp

Remove runltp from all doc, replace it with kirk.
Also replace the old runltp-ng with kirk.

Signed-off-by: Petr Vorel <pvorel@suse.cz>
---
 INSTALL                                            |  4 +++-
 doc/developers/test_case_tutorial.rst              |  6 +++---
 doc/developers/todo.rst                            | 10 ----------
 metadata/README.md                                 |  2 +-
 testcases/kernel/fs/fs_readonly/test_robind.sh     |  2 +-
 testcases/kernel/io/direct_io/dma_thread_diotest.c |  3 +--
 testcases/kernel/security/smack/README             |  2 +-
 testcases/network/can/filter-tests/INSTALL         |  2 +-
 testcases/network/rpc/rpc-tirpc/README             |  2 +-
 testscripts/Readme_ROBind                          |  4 ++--
 10 files changed, 14 insertions(+), 23 deletions(-)

diff --git a/INSTALL b/INSTALL
index c44bb4e660..9ef929a971 100644
--- a/INSTALL
+++ b/INSTALL
@@ -105,9 +105,9 @@ Quick Start
 	$ ./configure
 	$ make all
 	# make install
-	$ /opt/ltp/runltp
 
 *NOTE:
+- For running tests use kirk [1], individual test you can run directly.
 - LTP assumes the existence of the nobody, bin, and daemon users and their
 groups.  If these IDs do not exist, certain tests will fail. The respective
 user and group IDs should be the same, i.e. if `nobody's' user ID is 99, then
@@ -117,6 +117,8 @@ its group ID should also be 99. The names of the groups are irrelevant.
 DESTDIR= is also honored for install and will install into $DESTDIR/$prefix,
 if you want to install into a chroot or a rootfs for instance.
 
+[1] https://github.com/linux-test-project/kirk
+
 Detailed Installation
 ---------------------
 
diff --git a/doc/developers/test_case_tutorial.rst b/doc/developers/test_case_tutorial.rst
index 08bd1b1519..240897e36b 100644
--- a/doc/developers/test_case_tutorial.rst
+++ b/doc/developers/test_case_tutorial.rst
@@ -205,9 +205,9 @@ please do:
 
 This should build the test and then run it. However, even though the test is
 in :master:`testcases/kernel/syscalls` directory it won't be automatically ran
-as part of the syscalls test group (e.g. not run via ``kirk -r math`` or
-``./runltp -f syscalls``). For this we need to add it to the runtest file. So
-open :master:`runtest/syscalls` and add the lines starting with a ``+``.
+as part of the syscalls test group (e.g. not run via ``kirk -r math``.  For
+this we need to add it to the runtest file. So open :master:`runtest/syscalls`
+and add the lines starting with a ``+``.
 
 .. code-block::
 
diff --git a/doc/developers/todo.rst b/doc/developers/todo.rst
index fe248c819b..4ca8612db7 100644
--- a/doc/developers/todo.rst
+++ b/doc/developers/todo.rst
@@ -7,16 +7,6 @@ This is a comprehensive list of tasks where LTP maintainers are currently
 working on. Priorities might change over time, but these are the most important
 points which are currently being achieved.
 
-Fade out old tests runner
--------------------------
-
-:master:`runltp` script is old and unmaintaned. We are slowly shifting to
-`kirk <https://github.com/linux-test-project/kirk>`_, that will be our official
-tests runner in the future.
-
-Kirk provides support for remote testing via Qemu, SSH, LTX, parallel
-execution and much more.
-
 Test new syscalls
 -----------------
 
diff --git a/metadata/README.md b/metadata/README.md
index c71062759d..2cf978d39e 100644
--- a/metadata/README.md
+++ b/metadata/README.md
@@ -245,4 +245,4 @@ things and how to format them.
 
 So far this proof of concept generates a metadata file. I guess that we need
 actual consumers which will help to settle things down, I will try to look into
-making use of this in the runltp-ng at least as a reference implementation.
+making use of this in the kirk at least as a reference implementation.
diff --git a/testcases/kernel/fs/fs_readonly/test_robind.sh b/testcases/kernel/fs/fs_readonly/test_robind.sh
index 2d9a87b7e0..0f5a67db2e 100755
--- a/testcases/kernel/fs/fs_readonly/test_robind.sh
+++ b/testcases/kernel/fs/fs_readonly/test_robind.sh
@@ -25,7 +25,7 @@
 #   DESCRIPTION:    Performs filesystems tests for RO mount.
 #     For filesystem, like ext2, ext3, reiserfs, jfs & xfs,
 #     This test needs a big block device(>=500MB is ok), and you can specify
-#     it by -z option when running runltp.
+#     it by exporting LTP_BIG_DEV environment variable.
 #        a)  mounts on dir1,
 #        b)  mount --bind dir2
 #        c)  mount -o remount,ro
diff --git a/testcases/kernel/io/direct_io/dma_thread_diotest.c b/testcases/kernel/io/direct_io/dma_thread_diotest.c
index b757ba0e2d..82fab12d98 100644
--- a/testcases/kernel/io/direct_io/dma_thread_diotest.c
+++ b/testcases/kernel/io/direct_io/dma_thread_diotest.c
@@ -389,8 +389,7 @@ static void setup(void)
 
 	/*
 	 * verify whether the current directory has enough free space,
-	 * if it is not satisfied, we will use the LTP_BIG_DEV, which
-	 * will be exported by runltp with "-z" option.
+	 * if it is not satisfied, we will use the LTP_BIG_DEV.
 	 */
 	if (!directflag || !tst_fs_has_free(NULL, ".", 1300, TST_MB)) {
 		device = getenv("LTP_BIG_DEV");
diff --git a/testcases/kernel/security/smack/README b/testcases/kernel/security/smack/README
index 1b56ac6335..375a8ff595 100644
--- a/testcases/kernel/security/smack/README
+++ b/testcases/kernel/security/smack/README
@@ -20,7 +20,7 @@ using the default make target.
 	(cd testcases/kernel/security/smack; make && make install)
 
 5) Running the tests:
-	./runltp -f smack
+	kirk -f smack
 
 Each test exits with 0 on success and an error code on failure.
 
diff --git a/testcases/network/can/filter-tests/INSTALL b/testcases/network/can/filter-tests/INSTALL
index 7d62d65fe7..f07a0976e8 100644
--- a/testcases/network/can/filter-tests/INSTALL
+++ b/testcases/network/can/filter-tests/INSTALL
@@ -16,7 +16,7 @@ $ ./can_filter
 $ ./can_rcv_own_msgs
 
 3) To let LTP run the tests from $LTPROOT, execute:
-$ ./runltp -f can
+$ kirk -f can
 
 4) Clean up using:
 $ make clean
diff --git a/testcases/network/rpc/rpc-tirpc/README b/testcases/network/rpc/rpc-tirpc/README
index 139162751c..51c48360c2 100644
--- a/testcases/network/rpc/rpc-tirpc/README
+++ b/testcases/network/rpc/rpc-tirpc/README
@@ -46,6 +46,6 @@ instead of a bunch of scripts from the above web page.
 The basic group of test cases can be executed from
  * runtest/net.rpc_tests - for TS-RPC testing
  * runtest/net.tirpc_tests - for TI-RPC testing
-using the LTP framework (ltp-pan, runltp and etc).
+using kirk.
 
 Additional test cases (like stress, complex and etc) are to be integrated.
diff --git a/testscripts/Readme_ROBind b/testscripts/Readme_ROBind
index 2f961d43f1..02efb0f172 100644
--- a/testscripts/Readme_ROBind
+++ b/testscripts/Readme_ROBind
@@ -3,9 +3,9 @@ the {LTPROOT}/testcases/kernel/fs .
 
 EXECUTING TESTS
 ==================
-The tests can be executed through runltp like:
+The tests can be executed with kirk:
 
-./runltp -f fs_readonly
+kirk -f fs_readonly
 
 Following tests are executed when the above is invoked:
 
-- 
2.51.0


-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [LTP] [PATCH 2/4] testscripts/lvmtest.sh: Replace runltp with kirk
  2026-02-04 11:53 [LTP] [PATCH 0/4] Remove runltp Petr Vorel
  2026-02-04 11:53 ` [LTP] [PATCH 1/4] doc: INSTALL: dma_thread_diotest.c: Remove runltp from doc Petr Vorel
@ 2026-02-04 11:53 ` Petr Vorel
  2026-02-04 11:53 ` [LTP] [PATCH 3/4] runltp: Remove Petr Vorel
                   ` (2 subsequent siblings)
  4 siblings, 0 replies; 17+ messages in thread
From: Petr Vorel @ 2026-02-04 11:53 UTC (permalink / raw)
  To: ltp

Signed-off-by: Petr Vorel <pvorel@suse.cz>
---
Martin,

is this safe enough, right?

Kind regards,
Petr

 testscripts/lvmtest.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/testscripts/lvmtest.sh b/testscripts/lvmtest.sh
index 8407a22272..198495df2c 100755
--- a/testscripts/lvmtest.sh
+++ b/testscripts/lvmtest.sh
@@ -14,5 +14,5 @@ fi
 
 export PATH="${PATH}:${LTPROOT}:${LTPROOT}/bin:${LTPROOT}/testcases/bin"
 
-generate_lvm_runfile.sh && prepare_lvm.sh && runltp -f lvm.local
+generate_lvm_runfile.sh && prepare_lvm.sh && kirk -f lvm.local
 cleanup_lvm.sh
-- 
2.51.0


-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [LTP] [PATCH 3/4] runltp: Remove
  2026-02-04 11:53 [LTP] [PATCH 0/4] Remove runltp Petr Vorel
  2026-02-04 11:53 ` [LTP] [PATCH 1/4] doc: INSTALL: dma_thread_diotest.c: Remove runltp from doc Petr Vorel
  2026-02-04 11:53 ` [LTP] [PATCH 2/4] testscripts/lvmtest.sh: Replace runltp with kirk Petr Vorel
@ 2026-02-04 11:53 ` Petr Vorel
  2026-02-04 13:15   ` Li Wang via ltp
  2026-02-04 11:53 ` [LTP] [PATCH 4/4] kirk: Remove runltp-ng symlink Petr Vorel
  2026-02-04 12:59 ` [LTP] [PATCH 0/4] Remove runltp Cyril Hrubis
  4 siblings, 1 reply; 17+ messages in thread
From: Petr Vorel @ 2026-02-04 11:53 UTC (permalink / raw)
  To: ltp
  Cc: Thomas Petazzoni, Vasileios Almpanis, Tim Bird, Julien Olivain,
	automated-testing

It was replaced with kirk.

https://github.com/linux-test-project/kirk

Signed-off-by: Petr Vorel <pvorel@suse.cz>
---
 Makefile |   2 +-
 runltp   | 959 -------------------------------------------------------
 2 files changed, 1 insertion(+), 960 deletions(-)
 delete mode 100755 runltp

diff --git a/Makefile b/Makefile
index d47b2528e9..7b0b71d93d 100644
--- a/Makefile
+++ b/Makefile
@@ -137,7 +137,7 @@ clean:: $(CLEAN_TARGETS)
 
 $(foreach tgt,$(MAKE_TARGETS) include-all lib-all $(filter-out clean_install_dir,$(CLEAN_TARGETS)) $(INSTALL_TARGETS) include-install lib-install,$(eval $(call target_to_dir_dep_mapping,$(tgt))))
 
-SRCDIR_INSTALL_SCRIPTS	:= IDcheck.sh runltp ver_linux
+SRCDIR_INSTALL_SCRIPTS	:= IDcheck.sh ver_linux
 SRCDIR_INSTALL_READONLY	:= Version
 SRCDIR_INSTALL_TARGETS	:= $(SRCDIR_INSTALL_SCRIPTS) $(SRCDIR_INSTALL_READONLY)
 
diff --git a/runltp b/runltp
deleted file mode 100755
index 0d90625691..0000000000
--- a/runltp
+++ /dev/null
@@ -1,959 +0,0 @@
-#!/bin/sh
-################################################################################
-##                                                                            ##
-## Copyright (c) International Business Machines  Corp., 2001                 ##
-##                                                                            ##
-## This program is free software;  you can redistribute it and#or modify      ##
-## it under the terms of the GNU General Public License as published by       ##
-## the Free Software Foundation; either version 2 of the License, or          ##
-## (at your option) any later version.                                        ##
-##                                                                            ##
-## This program is distributed in the hope that it will be useful, but        ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License   ##
-## for more details.                                                          ##
-##                                                                            ##
-## You should have received a copy of the GNU General Public License          ##
-## along with this program;  if not, write to the Free Software               ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA    ##
-##                                                                            ##
-################################################################################
-# File: runltp
-#
-# Description:  This script can be used to the tests in the LTP test suite
-#
-# Authors:      Manoj Iyer - manjo@mail.utexas.edu
-#               Robbe Williamson - robbiew@us.ibm.com
-#
-# History:      Oct 07 2003 - Modified - Manoj Iyer
-#               - use functions
-#               - clean up on script exit
-#               - error checking etc.
-#
-#               Oct 08 2003 - Modified - Manoj Iyer
-#               - fixed bug in creating results directory
-#               - all checks should be enlclosed in " " to avoid bash error
-#               - exit with error if ltp-pan is not found in pan directory
-#
-#               Jul 22 2007 - Modified - Ricardo Salveti de Araujo
-#               - added support to put more then one file at CMDLINE (-f)
-#               - added a new option, that the user can pass the address of
-#               the command file, and it'll use wget to get it (-w)
-#               - now -s does the grep at the selected command files (default,
-#               -f or -w)
-#
-#               Jul 23 2007 - Modified - Ricardo Salveti de Araujo
-#               - added flag to get the command file that has all failed tests
-#
-#               Sep 11 2007 - Modified - Subrata Modak
-#               - added option to create Failed File if it is not an absolute path
-#               - added option to create Output File if it is not an absolute path
-#               - added option to create Failed File compulsory, even if user has not mentioned it
-#
-#               Sep 14 2007 - Modified - Ricardo Salveti de Araujo
-#               - cleaning and removing duplicated code
-#
-#               Oct 27 2007 - Modified - Ricardo Salveti de Araujo and Subrata Modak
-#               - better ways to integrate "ltp/tools/genload/stress" with "ltp/runltp"
-#               Nov 24 2007 - Modified - Subrata Modak
-#               - Added a new option to generate output in HTML format also. Also retaining
-#                 the original test format
-#               Nov 28 2007 - Modified - Subrata Modak
-#               - Added a new option to mail back LTP reports
-#               May 19 2008 - Modified - Subrata Modak
-#               - Added capability for default Log file generation
-#		Aug 17 2009 - Modified - Subrata Modak
-#		- Added Fault Injection generation Capability through -F Option
-#
-#################################################################################
-
-
-deprecated()
-{
-    echo "-------------------------------------------" >&2
-    echo "INFO: runltp script is deprecated, try kirk" >&2
-    echo "https://github.com/linux-test-project/kirk" >&2
-    echo "-------------------------------------------" >&2
-}
-
-
-setup()
-{
-    deprecated
-
-    cd `dirname $0` || \
-    {
-        echo "FATAL: unable to change directory to $(dirname $0)"
-        exit 1
-    }
-    export LTPROOT=${PWD}
-    export TMPBASE="/tmp"
-    export PATH="${PATH}:${LTPROOT}/testcases/bin:${LTPROOT}/bin"
-
-    export LTP_DEV_FS_TYPE="ext2"
-
-    [ -d "$LTPROOT/testcases/bin" ] ||
-    {
-        echo "FATAL: LTP not installed correctly"
-        echo "INFO:  Follow directions in INSTALL!"
-        exit 1
-    }
-
-    [ -e "$LTPROOT/bin/ltp-pan" ] ||
-    {
-        echo "FATAL: Test suite driver 'ltp-pan' not found"
-        echo "INFO:  Follow directions in INSTALL!"
-        exit 1
-    }
-}
-
-version_of_ltp()
-{
-    cat "$LTPROOT/Version"
-    exit 0
-}
-
-usage()
-{
-    cat <<-EOF >&2
-
-    usage: ${0##*/} [ -a EMAIL_TO ] [ -c NUM_PROCS ] [ -C FAILCMDFILE ] [ -T TCONFCMDFILE ]
-    [ -d TMPDIR ] [ -D NUM_PROCS,NUM_FILES,NUM_BYTES,CLEAN_FLAG ] -e [ -f CMDFILES(,...) ]
-    [ -g HTMLFILE] [ -i NUM_PROCS ] [ -l LOGFILE ] [ -m NUM_PROCS,CHUNKS,BYTES,HANGUP_FLAG ]
-    -N -n [ -o OUTPUTFILE ] -p -q -Q [ -r LTPROOT ] [ -s PATTERN ] [ -t DURATION ]
-    -v [ -w CMDFILEADDR ] [ -x INSTANCES ] [ -b DEVICE ] [-B LTP_DEV_FS_TYPE]
-	[ -F LOOPS,PERCENTAGE ] [ -z BIG_DEVICE ] [-Z  LTP_BIG_DEV_FS_TYPE]
-
-    -a EMAIL_TO     EMAIL all your Reports to this E-mail Address
-    -c NUM_PROCS    Run LTP under additional background CPU load
-                    [NUM_PROCS = no. of processes creating the CPU Load by spinning over sqrt()
-                                 (Defaults to 1 when value)]
-    -C FAILCMDFILE  Command file with all failed test cases.
-    -T TCONFCMDFILE Command file with all test cases that are not fully tested.
-    -d TMPDIR       Directory where temporary files will be created.
-    -D NUM_PROCS,NUM_FILES,NUM_BYTES,CLEAN_FLAG
-                    Run LTP under additional background Load on Secondary Storage (separated by comma)
-                    [NUM_PROCS   = no. of processes creating Storage Load by spinning over write()]
-                    [NUM_FILES   = Write() to these many files (Defaults to 1 when value 0 or undefined)]
-                    [NUM_BYTES   = write these many bytes (defaults to 1GB, when value 0 or undefined)]
-                    [CLEAN_FLAG  = unlink file to which random data written, when value 1]
-    -e              Prints the date of the current LTP release
-    -f CMDFILES     Execute user defined list of testcases (separate with ',')
-	-F LOOPS,PERCENTAGE Induce PERCENTAGE Fault in the Kernel Subsystems, and, run each test for LOOPS loop
-    -g HTMLFILE     Create an additional HTML output format
-    -h              Help. Prints all available options.
-    -i NUM_PROCS    Run LTP under additional background Load on IO Bus
-                    [NUM_PROCS   = no. of processes creating IO Bus Load by spinning over sync()]
-    -K DMESG_LOG_DIR
-			Log Kernel messages generated for each test cases inside this directory
-    -l LOGFILE      Log results of test in a logfile.
-    -m NUM_PROCS,CHUNKS,BYTES,HANGUP_FLAG
-                    Run LTP under additional background Load on Main memory (separated by comma)
-                    [NUM_PROCS   = no. of processes creating main Memory Load by spinning over malloc()]
-                    [CHUNKS      = malloc these many chunks (default is 1 when value 0 or undefined)]
-                    [BYTES       = malloc CHUNKS of BYTES bytes (default is 256MB when value 0 or undefined) ]
-                    [HANGUP_FLAG = hang in a sleep loop after memory allocated, when value 1]
-	-M CHECK_TYPE
-		[CHECK_TYPE=1 => Full Memory Leak Check tracing children as well]
-		[CHECK_TYPE=2 => Thread Concurrency Check tracing children as well]
-		[CHECK_TYPE=3 => Full Memory Leak & Thread Concurrency Check tracing children as well]
-    -N              Run all the networking tests.
-    -o OUTPUTFILE   Redirect test output to a file.
-    -p              Human readable format logfiles.
-    -q              Print less verbose output to screen. This implies
-                    not logging start of the test in kernel log.
-    -Q              Don't log start of test in kernel log.
-    -r LTPROOT      Fully qualified path where testsuite is installed.
-    -R              Randomize test order.
-    -s PATTERN      Only run test cases which match PATTERN.
-    -S SKIPFILE     Skip tests specified in SKIPFILE
-    -t DURATION     Execute the testsuite for given duration. Examples:
-                      -t 60s = 60 seconds
-                      -t 45m = 45 minutes
-                      -t 24h = 24 hours
-                      -t 2d  = 2 days
-    -I ITERATIONS   Execute the testsuite ITERATIONS times.
-    -w CMDFILEADDR  Uses wget to get the user's list of testcases.
-    -x INSTANCES    Run multiple instances of this testsuite.
-    -b DEVICE       Some tests require an unmounted block device
-                    to run correctly.
-    -B LTP_DEV_FS_TYPE The file system of test block devices.
-    -z BIG_DEVICE   Some tests require a big unmounted block device
-                    to run correctly.
-    -Z  LTP_BIG_DEV_FS_TYPE The file system of the big device
-    -W ZOOFILE      Specify the zoo file used to record current test tags (default PID of this script)
-
-
-
-    example: ${0##*/} -c 2 -i 2 -m 2,4,10240,1 -D 2,10,10240,1 -p -q  -l /tmp/result-log.$$ -o /tmp/result-output.$$ -C /tmp/result-failed.$$ -d ${PWD}
-
-
-	EOF
-exit 0
-}
-
-main()
-{
-    local CMDFILES=
-    local PRETTY_PRT=
-    local ALT_DIR_OUT=0
-    local ALT_DIR_RES=0
-    local ALT_HTML_OUT=0
-    local ALT_EMAIL_OUT=0
-    local ALT_DMESG_OUT=0
-    local RUN_NETEST=0
-    local RUN_REPEATED=0
-    local QUIET_MODE=
-    local NO_KMSG=
-    local NETPIPE=0
-    local GENLOAD=0
-    local MEMSIZE=0
-    local DURATION=
-    local CMDFILEADDR=
-    local FAILCMDFILE=
-    local TCONFCMDFILE=
-    local INJECT_KERNEL_FAULT=
-    local INJECT_KERNEL_FAULT_PERCENTAGE=
-    local INJECT_FAULT_LOOPS_PER_TEST=
-    local VALGRIND_CHECK=
-    local VALGRIND_CHECK_TYPE=
-    local LOGFILE_NAME=
-    local LOGFILE=
-    local OUTPUTFILE_NAME=
-    local OUTPUTFILE=
-    local HTMLFILE_NAME=
-    local HTMLFILE=
-    local DMESG_DIR=
-    local EMAIL_TO=
-    local TAG_RESTRICT_STRING=
-    local PAN_COMMAND=
-    local RANDOMRUN=0
-    local DEFAULT_FILE_NAME_GENERATION_TIME=`date +"%Y_%m_%d-%Hh_%Mm_%Ss"`
-    local scenfile=
-    local ZOOFILE=$$
-
-    version_date=$(cat "$LTPROOT/Version")
-
-    while getopts a:b:B:c:C:T:d:D:ef:F:g:hi:I:K:l:m:M:No:pqQr:Rs:S:t:T:w:x:z:Z:W: arg
-    do  case $arg in
-        a)  EMAIL_TO=$OPTARG
-            ALT_EMAIL_OUT=1;;
-        c)
-            NUM_PROCS=$(($OPTARG))
-            if   [ "$NUM_PROCS" -eq 0 ]; then
-                # User Did not Define the Value ,or, User Defined Zero,
-                # hence, prevent from creating infinite processes
-                NUM_PROCS=1
-            fi
-            $LTPROOT/testcases/bin/genload --cpu $NUM_PROCS >/dev/null 2>&1 &
-            GENLOAD=1 ;;
-
-        C)
-            case $OPTARG in
-            /*)
-                FAILCMDFILE="-C $OPTARG" ;;
-            *)
-                FAILCMDFILE="-C $LTPROOT/output/$OPTARG"
-                ALT_DIR_OUT=1 ;;
-            esac ;;
-
-        T)
-            case $OPTARG in
-            /*)
-                TCONFCMDFILE="-T $OPTARG" ;;
-            *)
-                TCONFCMDFILE="-T $LTPROOT/output/$OPTARG"
-                ALT_DIR_OUT=1 ;;
-            esac ;;
-
-        d)  # convert the user path to absolute path.
-            export TMPBASE=$(readlink -f ${OPTARG}) ;;
-
-        D)  NUM_PROCS=1; NUM_FILES=1; NUM_BYTES=$((1024 * 1024 * 1024)); CLEAN_FLAG=0
-            ARGUMENT_LIST=$OPTARG
-            TOTAL_ARGUMENTS=1
-            for ARGUMENT in `echo "$ARGUMENT_LIST" | tr ',' ' '`
-            do
-                case $TOTAL_ARGUMENTS in
-                    1) NUM_PROCS="$ARGUMENT" ;;
-                    2) NUM_FILES="$ARGUMENT" ;;
-                    3) NUM_BYTES="$ARGUMENT" ;;
-                    4) CLEAN_FLAG="$ARGUMENT" ;;
-                esac
-                TOTAL_ARGUMENTS=`expr $TOTAL_ARGUMENTS + 1`
-            done
-            # just to get the default values if the user passed 0
-            if [ "$NUM_PROCS" -eq 0 ]; then
-                NUM_PROCS=1
-            fi
-            if [ "$NUM_FILES" -eq 0 ]; then
-                NUM_FILES=1
-            fi
-            if [ "$NUM_BYTES" -eq 0 ]; then
-                NUM_BYTES=$((1024 * 1024 * 1024))
-            fi
-            if [ "$CLEAN_FLAG" -ne 1 ]; then
-                CLEAN_FLAG=0
-            fi
-            if [ "$CLEAN_FLAG" -eq 1 ]; then
-                # Do not unlink file in this case
-                $LTPROOT/testcases/bin/genload --hdd $NUM_PROCS --hdd-files \
-                    $NUM_FILES --hdd-bytes $NUM_BYTES >/dev/null 2>&1 &
-            else
-                # Cleanup otherwise
-                $LTPROOT/testcases/bin/genload --hdd $NUM_PROCS --hdd-files \
-                    $NUM_FILES --hdd-bytes $NUM_BYTES --hdd-noclean >/dev/null 2>&1 &
-            fi
-            GENLOAD=1;;
-
-        e)  # Print out the version of LTP
-            version_of_ltp
-	    ;;
-        f)  # Execute user defined set of testcases.
-            # Can be more than one file, just separate it with ',', like:
-            # -f nfs,commands,/tmp/testfile
-            CMDFILES=$OPTARG;;
-	F)	INJECT_KERNEL_FAULT=1
-		# Separate out the NO_OF_LOOPS & FAULT_PERCENTAGE
-		INJECT_FAULT_LOOPS_PER_TEST=`echo $OPTARG |cut -d',' -f1 | tr -d '\n' | tr -d ' '`
-		INJECT_KERNEL_FAULT_PERCENTAGE=`echo $OPTARG |cut -d',' -f2 | tr -d '\n' | tr -d ' '`
-		if [ ! $INJECT_FAULT_LOOPS_PER_TEST ]; then
-			echo "Loops not properly defined. Resorting to default 5..."
-			export INJECT_FAULT_LOOPS_PER_TEST=5
-		fi
-		if [ ! $INJECT_KERNEL_FAULT_PERCENTAGE ]; then
-			echo "Fault Persentage not properly defined. Resorting to default 10..."
-			export INJECT_KERNEL_FAULT_PERCENTAGE=10
-		fi;;
-        g)  HTMLFILE_NAME="$OPTARG"
-            case $OPTARG in
-            /*)
-                HTMLFILE="$OPTARG";;
-            *)
-                HTMLFILE="$LTPROOT/output/$OPTARG"
-                ALT_DIR_OUT=1;;
-            esac
-            ALT_HTML_OUT=1;;
-        h)  usage;;
-
-        i)
-            NUM_PROCS=$(($OPTARG))
-            if   [ "$NUM_PROCS" -eq 0 ]; then
-                # User Did not Define the Value ,or, User Defined Zero,
-                # hence, prevent from creating infinite processes
-                NUM_PROCS=1
-            fi
-            $LTPROOT/testcases/bin/genload --io $NUM_PROCS >/dev/null 2>&1 &
-            GENLOAD=1 ;;
-
-        K)
-	    case $OPTARG in
-        	   /*)
-			DMESG_DIR="$OPTARG-dmesg-output-`echo $$-``date +%X | tr -d ' '`";;
-	            *)
-		        DMESG_DIR="$LTPROOT/output/$OPTARG-dmesg-output-`echo $$-``date +%X | tr -d ' '`";;
-	    esac
-            mkdir -p $DMESG_DIR
-            ALT_DMESG_OUT=1;;
-        l)
-            LOGFILE_NAME="$OPTARG"
-            case $OPTARG in
-            /*)
-                LOGFILE="-l $OPTARG" ;;
-            *)
-                LOGFILE="-l $LTPROOT/results/$OPTARG"
-                ALT_DIR_RES=1 ;;
-            esac ;;
-
-        m)  NUM_PROCS=1; CHUNKS=1; BYTES=$((256 * 1024 * 1024)); HANGUP_FLAG=0
-            ARGUMENT_LIST=$OPTARG
-            TOTAL_ARGUMENTS=1
-            for ARGUMENT in `echo "$ARGUMENT_LIST" | tr ',' ' '`
-            do
-                case $TOTAL_ARGUMENTS in
-                    1) NUM_PROCS="$ARGUMENT" ;;
-                    2) CHUNKS="$ARGUMENT" ;;
-                    3) BYTES="$ARGUMENT" ;;
-                    4) HANGUP_FLAG="$ARGUMENT" ;;
-                esac
-                TOTAL_ARGUMENTS=`expr $TOTAL_ARGUMENTS + 1`
-            done
-            # just to get the default values if the user passed 0
-            if [ "$NUM_PROCS" -eq 0 ]; then
-                NUM_PROCS=1
-            fi
-            if [ "$CHUNKS" -eq 0 ]; then
-                CHUNKS=1
-            fi
-            if [ "$BYTES" -eq 0 ]; then
-                BYTES=$((256 * 1024 * 1024))
-            fi
-            if [ "$HANGUP_FLAG" -ne 1 ]; then
-                HANGUP_FLAG=0
-            fi
-            if [ "$HANGUP_FLAG" -eq 1 ]; then
-                # Hang in a Sleep loop after memory allocated
-                $LTPROOT/testcases/bin/genload --vm $NUM_PROCS --vm-chunks \
-                    $CHUNKS --vm-bytes $BYTES --vm-hang >/dev/null 2>&1 &
-            else
-                # Otherwise Do not Hangup
-                $LTPROOT/testcases/bin/genload --vm $NUM_PROCS --vm-chunks \
-                    $CHUNKS --vm-bytes $BYTES >/dev/null 2>&1 &
-            fi
-            GENLOAD=1;;
-	M)
-		VALGRIND_CHECK=1
-		VALGRIND_CHECK_TYPE="$OPTARG";;
-
-        N)  RUN_NETEST=1;;
-
-        o)  OUTPUTFILE_NAME="$OPTARG"
-            case $OPTARG in
-            /*)
-                OUTPUTFILE="-o $OPTARG";;
-            *)
-                OUTPUTFILE="-o $LTPROOT/output/$OPTARG"
-                ALT_DIR_OUT=1 ;;
-            esac ;;
-
-        p)  PRETTY_PRT="-p";;
-
-        q)  QUIET_MODE="-q";;
-
-        Q)  NO_KMSG="-Q";;
-
-        r)  LTPROOT=$OPTARG;;
-
-        R)  RANDOMRUN=1;;
-
-        s)  TAG_RESTRICT_STRING=$OPTARG;;
-
-	S)  case $OPTARG in
-            /*)
-                SKIPFILE=$OPTARG;;
-            *)
-                SKIPFILE="$LTPROOT/$OPTARG";;
-            esac ;;
-
-        t)  # In case you want to specify the time
-            # to run from the command line
-            # (2m = two minutes, 2h = two hours, etc)
-            DURATION="-t $OPTARG" ;;
-
-        I)  # In case you want the testcases to runsequentially RUN_REPEATED times
-            RUN_REPEATED=$OPTARG;;
-
-        w)  CMDFILEADDR=$OPTARG;;
-
-        x)  # number of ltp's to run
-            cat <<-EOF >&1
-            WARNING: The use of -x can cause unpredictable failures, as a
-                     result of concurrently running multiple tests designed
-                     to be ran exclusively.
-                     Pausing for 10 seconds..."
-	EOF
-            sleep 10
-            INSTANCES="-x $OPTARG";;
-        b) DEVICE=$OPTARG;;
-        B) LTP_DEV_FS_TYPE=$OPTARG;;
-        z) BIG_DEVICE=$OPTARG;;
-        Z) BIG_DEVICE_FS_TYPE=$OPTARG;;
-        W) ZOOFILE=$OPTARG;;
-        \?) usage;;
-        esac
-    done
-
-    ## It would be nice to create a default log file even if the user has not mentioned
-    if [ ! "$LOGFILE" ]; then                                ## User has not mentioned about Log File name
-       LOGFILE_NAME="$DEFAULT_FILE_NAME_GENERATION_TIME"
-       LOGFILE="-l $LTPROOT/results/LTP_RUN_ON-$LOGFILE_NAME.log"
-       ALT_DIR_RES=1
-       PRETTY_PRT="-p"
-    fi
-
-    ## It would be nice if a Failed File is compulsorily created (gives User better Idea of Tests that failed)
-
-    if [ ! "$FAILCMDFILE" ]; then                            ## User has not mentioned about Failed File name
-         ALT_DIR_OUT=1
-         if [ ! "$OUTPUTFILE" ]; then		             ## User has not mentioned about Output File name either
-            if [ ! "$LOGFILE" ]; then                        ## User has not mentioned about Log File name either
-               FAILED_FILE_NAME="$DEFAULT_FILE_NAME_GENERATION_TIME"
-               FAILCMDFILE="-C $LTPROOT/output/LTP_RUN_ON-$FAILED_FILE_NAME.failed"
-            else					     ## User Fortunately wanted a log file,
-               FAILED_FILE_NAME=`basename $LOGFILE_NAME`     ## Extract log file name and use it to construct Failed file name
-               FAILCMDFILE="-C $LTPROOT/output/LTP_RUN_ON-$FAILED_FILE_NAME.failed"
-            fi
-         else                                                ## User Fortunately wanted a Output file
-               FAILED_FILE_NAME=`basename $OUTPUTFILE_NAME`  ## Extract output file name and use it to construct Failed file name
-               FAILCMDFILE="-C $LTPROOT/output/LTP_RUN_ON-$FAILED_FILE_NAME.failed"
-         fi
-    fi
-
-    if [ ! "$TCONFCMDFILE" ]; then
-         ALT_DIR_OUT=1
-         if [ ! "$OUTPUTFILE" ]; then
-            if [ ! "$LOGFILE" ]; then
-               TCONF_FILE_NAME="$DEFAULT_FILE_NAME_GENERATION_TIME"
-               TCONFCMDFILE="-T $LTPROOT/output/LTP_RUN_ON-${TCONF_FILE_NAME}.tconf"
-            else
-               TCONF_FILE_NAME=`basename $LOGFILE_NAME`
-               TCONFCMDFILE="-T $LTPROOT/output/LTP_RUN_ON-${TCONF_FILE_NAME}.tconf"
-            fi
-         else
-               TCONF_FILE_NAME=`basename $OUTPUTFILE_NAME`
-               TCONFCMDFILE="-T $LTPROOT/output/LTP_RUN_ON-${TCONF_FILE_NAME}.tconf"
-         fi
-    fi
-
-    if [ "$ALT_HTML_OUT" -eq 1 ] ; then                      ## User wants the HTML version of the output
-       QUIET_MODE=""                                         ## Suppressing this guy as it will prevent generation of proper output
-                                                             ## which the HTML parser will require
-       if [ ! "$OUTPUTFILE" ]; then                          ## User has not mentioned about the Outputfile name, then we need to definitely generate one
-          OUTPUTFILE_NAME="$DEFAULT_FILE_NAME_GENERATION_TIME"
-          OUTPUTFILE="-o $LTPROOT/output/LTP_RUN_ON-$OUTPUTFILE_NAME.output"
-          ALT_DIR_OUT=1
-       fi
-    fi
-
-    # If we need, create the output directory
-    [ "$ALT_DIR_OUT" -eq 1 ] && \
-    {
-        [ ! -d $LTPROOT/output ] && \
-        {
-           echo "INFO: creating $LTPROOT/output directory"
-           mkdir -p $LTPROOT/output || \
-           {
-               echo "ERROR: failed to create $LTPROOT/output"
-               exit 1
-            }
-        }
-    }
-
-    # If we need, create the results directory
-    [ "$ALT_DIR_RES" -eq 1 ] && \
-    {
-        [ ! -d $LTPROOT/results ] && \
-        {
-            echo "INFO: creating $LTPROOT/results directory"
-            mkdir -p $LTPROOT/results || \
-            {
-                echo "ERROR: failed to create $LTPROOT/results"
-                exit 1
-            }
-        }
-    }
-
-    # Added -m 777 for tests that call tst_tmpdir() and try to
-    #  write to it as user nobody
-    mkdir -m 777 -p $TMPBASE || \
-    {
-        echo "FATAL: Unable to make temporary directory $TMPBASE"
-        exit 1
-    }
-    # use mktemp to create "safe" temporary directories
-    export TMPTEMPLATE="${TMPBASE}/ltp-XXXXXXXXXX"
-    TMP=`mktemp -d $TMPTEMPLATE` || \
-    {
-        echo "FATAL: Unable to make temporary directory: $TMP"
-        exit 1
-    }
-    export TMP
-    # To be invoked by tst_tmpdir()
-    # write to it as user nobody
-    export TMPDIR=$TMP
-
-    trap "cleanup" 0
-
-    chmod 777 $TMP || \
-    {
-      echo "unable to chmod 777 $TMP ... aborting"
-      exit 1
-    }
-
-    cd $TMP || \
-    {
-      echo "could not cd ${TMP} ... exiting"
-      exit 1
-    }
-
-    [ -n "$INSTANCES" ] && \
-    {
-      INSTANCES="$INSTANCES -O ${TMP}"
-    }
-
-    # If user does not provide a command file select a default set of testcases
-    # to execute.
-    if [ -z "$CMDFILES" ] && [ -z "$CMDFILEADDR" ]; then
-
-        SCENARIO_LISTS="$LTPROOT/scenario_groups/default"
-        if [ "$RUN_NETEST" -eq 1 ]; then
-            SCENARIO_LISTS="$LTPROOT/scenario_groups/network"
-        fi
-
-        cat <<-EOF >&1
-INFO: no command files were provided. Executing following runtest scenario files:
-`cat $SCENARIO_LISTS | tr '\012' ' '`
-
-EOF
-        cat_ok_sentinel=$TMP/cat_ok.$$
-        touch "$cat_ok_sentinel"
-        cat $SCENARIO_LISTS | while read scenfile; do
-            scenfile=${LTPROOT}/runtest/$scenfile
-            [ -f "$scenfile" ] || continue
-
-            cat $scenfile >> "$TMP/alltests" || {
-                echo "FATAL: unable to append to command file"
-                rm -Rf "$TMP"
-                rm -f "$cat_ok_sentinel"
-                exit 1
-            }
-        done
-        rm -f "$cat_ok_sentinel"
-    fi
-
-    [ -n "$CMDFILES" ] && \
-    {
-        for scenfile in `echo "$CMDFILES" | tr ',' ' '`
-        do
-            [ -f "$scenfile" ] || scenfile="$LTPROOT/runtest/$scenfile"
-            cat "$scenfile" >> ${TMP}/alltests || \
-            {
-                echo "FATAL: unable to create command file"
-                rm -Rf "$TMP"
-                exit 1
-            }
-        done
-    }
-
-    [ -n "$CMDFILEADDR" ] && \
-    {
-        wget -q "${CMDFILEADDR}" -O ${TMP}/wgetcmdfile
-        if [ $? -ne 0 ]; then
-            echo "FATAL: error while getting the command file with wget (address $CMDFILEADDR)"
-            exit 1
-        fi
-        cat "${TMP}/wgetcmdfile" >> ${TMP}/alltests || \
-        {
-            echo "FATAL: unable to create command file"
-            exit 1
-        }
-    }
-
-    # If enabled, execute only test cases that match the PATTERN
-    if [ -n "$TAG_RESTRICT_STRING" ]
-    then
-        mv -f ${TMP}/alltests ${TMP}/alltests.orig
-	    grep $TAG_RESTRICT_STRING ${TMP}/alltests.orig > ${TMP}/alltests #Not worth checking return codes for this case
-    fi
-
-    # Blacklist or skip tests if a SKIPFILE was specified with -S
-    if [ -n "${SKIPFILE}" ]; then
-        for test_name in $(awk '{print $1}' "${SKIPFILE}"); do
-            case "${test_name}" in \#*) continue;; esac
-            sed -i "/\<${test_name}\>/c\\${test_name} exit 32;" alltests
-        done
-    fi
-
-    # check for required users and groups
-    ${LTPROOT}/IDcheck.sh || \
-    {
-        echo "WARNING: required users and groups not present"
-        echo "WARNING: some test cases may fail"
-    }
-
-    # display versions of installed software
-    [ -z "$QUIET_MODE" ] && \
-    {
-        ${LTPROOT}/ver_linux || \
-        {
-            echo "WARNING: unable to display versions of software installed"
-            exit 1
-    }
-    }
-
-    set_block_device
-
-    # here even if the user don't specify a big block device, we
-    # also don't create the big block device.
-    if [ -z "$BIG_DEVICE" ]; then
-        echo "no big block device was specified on commandline."
-        echo "Tests which require a big block device are disabled."
-        echo "You can specify it with option -z"
-    else
-        export LTP_BIG_DEV=$BIG_DEVICE
-        if [ -z "$BIG_DEVICE_FS_TYPE" ]; then
-            export LTP_BIG_DEV_FS_TYPE="ext2"
-        else
-            export LTP_BIG_DEV_FS_TYPE=$BIG_DEVICE_FS_TYPE
-        fi
-    fi
-
-    if [ $RUN_REPEATED -gt 1 ]; then # You need to specify at least more than 1 sequential run, else it runs default
-         echo "PAN will run these test cases $RUN_REPEATED times....."
-         echo "Test Tags will be Prepended with ITERATION NO.s....."
-         inc=1
-         sed -e '/^$/ d' -e 's/^[ ,\t]*//' -e '/^#/ d' < ${TMP}/alltests > ${TMP}/alltests.temp ##This removes all newlines, leading spaces, tabs, #
-         sed 's/^[0-9,a-z,A-Z]*/'"$inc"'_ITERATION_&/' < ${TMP}/alltests.temp > ${TMP}/alltests ## .temp is kept as Base file
-         while [ $inc -lt $RUN_REPEATED ] ; do
-               inc=`expr $inc + 1`
-               sed 's/^[0-9,a-z,A-Z]*/'"$inc"'_ITERATION_&/' < ${TMP}/alltests.temp >> ${TMP}/alltests #Keep appending with Iteration No.s
-         done
-    fi
-
-    if [ "$RANDOMRUN" != "0" ]; then
-        sort -R ${TMP}/alltests -o ${TMP}/alltests
-    fi
-
-    [ ! -z "$QUIET_MODE" ] && { echo "INFO: Test start time: $(date)" ; }
-    PAN_COMMAND="${LTPROOT}/bin/ltp-pan $QUIET_MODE $NO_KMSG -e -S $INSTANCES $DURATION -a ${ZOOFILE} \
-    -n $$ $PRETTY_PRT -f ${TMP}/alltests $LOGFILE $OUTPUTFILE $FAILCMDFILE $TCONFCMDFILE"
-    echo "COMMAND:    $PAN_COMMAND"
-    if [ ! -z "$TAG_RESTRICT_STRING" ] ; then
-      echo "INFO: Restricted to $TAG_RESTRICT_STRING"
-    fi
-    #$PAN_COMMAND #Duplicated code here, because otherwise if we fail, only "PAN_COMMAND" gets output
-
-    ## Display the Output/Log/Failed/HTML file names here
-    printf "LOG File: "
-    echo $LOGFILE | cut -b4-
-
-    if [ "$OUTPUTFILE" ]; then
-       printf "OUTPUT File: "
-       echo $OUTPUTFILE | cut -b4-
-    fi
-
-    printf "FAILED COMMAND File: "
-    echo $FAILCMDFILE | cut -b4-
-
-   printf "TCONF COMMAND File: "
-   echo $TCONFCMDFILE | cut -b4-
-
-    if [ "$HTMLFILE" ]; then
-       echo "HTML File: $HTMLFILE"
-    fi
-
-    echo "Running tests......."
-    test_start_time=$(date)
-
-	# User wants testing with Kernel Fault Injection
-	if [ $INJECT_KERNEL_FAULT ] ; then
-		#See if Debugfs is mounted, and
-		#Fault Injection Framework available through Debugfs
-		use_faultinjection=true
-		for debug_subdir in \
-			fail_io_timeout \
-			fail_make_request \
-			fail_page_alloc \
-			failslab \
-		; do
-			if [ -d "/sys/kernel/debug/$debug_subdir" ]
-			then
-				use_faultinjection=true
-				break
-			fi
-		done
-		if $use_faultinjection; then
-			#If at least one of the Framework is available
-			#Go ahead to Inject Fault & Create required
-			#Command Files for LTP run
-			echo Running tests with Fault Injection Enabled in the Kernel...
-			awk -v LOOPS=$INJECT_FAULT_LOOPS_PER_TEST \
-				-v PERCENTAGE=$INJECT_KERNEL_FAULT_PERCENTAGE \
-				-f ${LTPROOT}/bin/create_kernel_faults_in_loops_and_probability.awk \
-				${TMP}/alltests > ${TMP}/alltests.tmp
-			cp ${TMP}/alltests.tmp ${TMP}/alltests
-			rm -rf ${TMP}/alltests.tmp
-		else
-			echo Fault Injection not enabled in the Kernel..
-			echo Running tests normally...
-		fi
-	fi
-
-	## Valgrind Check will work only when Kernel Fault Injection is not expected,
-	## We do not want to test Faults when valgrind is running
-	if [ $VALGRIND_CHECK ]; then
-		if [ ! $INJECT_KERNEL_FAULT ]; then
-			which valgrind || VALGRIND_CHECK_TYPE=XYZ
-			case $VALGRIND_CHECK_TYPE in
-			[1-3])
-				awk -v CHECK_LEVEL=$VALGRIND_CHECK_TYPE \
-					-f ${LTPROOT}/bin/create_valgrind_check.awk \
-					${TMP}/alltests $VALGRIND_CHECK_TYPE > \
-					${TMP}/alltests.tmp
-				cp ${TMP}/alltests.tmp ${TMP}/alltests
-				rm -rf ${TMP}/alltests.tmp
-				;;
-			*)
-				echo "Invalid Memory Check Type, or, Valgrind is not available"
-				;;
-			esac
-		fi
-	fi
-
-	if [ $ALT_DMESG_OUT -eq 1 ] ; then
-		#We want to print dmesg output for each test,lets do the trick inside the script
-		echo Enabling dmesg output logging for each test...
-		awk -v DMESG_DIR=$DMESG_DIR \
-			-f ${LTPROOT}/bin/create_dmesg_entries_for_each_test.awk \
-			${TMP}/alltests > ${TMP}/alltests.tmp
-		cp ${TMP}/alltests.tmp ${TMP}/alltests
-		rm -rf ${TMP}/alltests.tmp
-	fi
-    # Some tests need to run inside the "bin" directory.
-    cd "${LTPROOT}/testcases/bin"
-    "${LTPROOT}/bin/ltp-pan" $QUIET_MODE $NO_KMSG -e -S $INSTANCES $DURATION -a ${ZOOFILE} -n $$ $PRETTY_PRT -f ${TMP}/alltests $LOGFILE $OUTPUTFILE $FAILCMDFILE $TCONFCMDFILE
-
-    if [ $? -eq 0 ]; then
-      echo "INFO: ltp-pan reported all tests PASS"
-      VALUE=0
-      export LTP_EXIT_VALUE=0;
-    else
-      echo "INFO: ltp-pan reported some tests FAIL"
-      VALUE=1
-      export LTP_EXIT_VALUE=1;
-    fi
-    cd ..
-    echo "LTP Version: $version_date"
-
-	# $DMESG_DIR is used to cache messages obtained from dmesg after a test run.
-	# Proactively reap all of the 0-byte files in $DMESG_DIR as they have zero value
-	# and only clutter up the filesystem.
-
-	if [ $ALT_DMESG_OUT -eq 1 ] ; then
-		if ! find "$DMESG_DIR" -size 0 -exec rm {} + ; then
-			echo "cd to $DMESG_DIR failed: $?"
-		fi
-		if [ -n "$(ls "$DMESG_DIR")" ] ; then
-			echo "Kernel messages were generated for LTP tests $version_date"
-		else
-			echo "No Kernel messages were generated for LTP tests $version_date"
-		fi
-	fi
-
-    if [ "$ALT_HTML_OUT" -eq 1 ] ; then        #User wants the HTML output to be created, it then needs to be generated
-       export LTP_VERSION=$version_date
-       export TEST_START_TIME="$test_start_time"
-       export TEST_END_TIME="$(date)"
-       OUTPUT_FILE=`echo $OUTPUTFILE | cut -c4-`
-       LOGS_DIRECTORY="$LTPROOT/results"
-       export TEST_OUTPUT_DIRECTORY="$LTPROOT/output"
-       export TEST_LOGS_DIRECTORY=$LOGS_DIRECTORY
-       echo "Generating HTML Output.....!!"
-       ( perl $LTPROOT/bin/genhtml.pl $LTPROOT/bin/html_report_header.txt test_start test_end test_output execution_status $OUTPUT_FILE  > $HTMLFILE; )
-       echo "Generated HTML Output.....!!"
-       echo "Location: $HTMLFILE";
-
-    fi
-
-    if [ "$ALT_EMAIL_OUT" -eq 1 ] ; then                    ## User wants reports to be e-mailed
-        TAR_FILE_NAME=LTP_RUN_$version_date$DEFAULT_FILE_NAME_GENERATION_TIME.tar
-        if [ "$HTMLFILE_NAME" ] ; then                      ## HTML file Exists
-            if [ "$ALT_HTML_OUT" -ne 1 ] ; then             ## The HTML file path is absolute and not $LTPROOT/output
-                mkdir -p $LTPROOT/output                    ## We need to create this Directory
-                cp $HTMLFILE_NAME $LTPROOT/output/
-            fi
-        fi
-        if [ "$OUTPUTFILE_NAME" ] ; then                    ## Output file exists
-            if [ "$ALT_DIR_OUT" -ne 1 ] ; then              ## The Output file path is absolute and not $LTPROOT/output
-                mkdir -p $LTPROOT/output                    ## We need to create this Directory
-                cp $OUTPUTFILE_NAME $LTPROOT/output/
-            fi
-        fi
-        if [ "$LOGFILE_NAME" ] ; then                       ## Log file exists
-            if [ "$ALT_DIR_RES" -ne 1 ] ; then              ## The Log file path is absolute and not $LTPROOT/results
-                mkdir -p $LTPROOT/results                   ## We need to create this Directory
-                cp $LOGFILE_NAME $LTPROOT/results/
-            fi
-        fi
-        if [ -d $LTPROOT/output ] ; then
-            tar -cf  ./$TAR_FILE_NAME $LTPROOT/output
-            if [ $? -eq 0 ]; then
-                echo "Created TAR File: ./$TAR_FILE_NAME successfully, added $LTPROOT/output"
-            else
-                echo "Cannot Create TAR File: ./$TAR_FILE_NAME for adding $LTPROOT/output"
-            fi
-        fi
-        if [ -d $LTPROOT/results ] ; then
-            tar -uf ./$TAR_FILE_NAME $LTPROOT/results
-            if [ $? -eq 0 ]; then
-                echo "Updated TAR File: ./$TAR_FILE_NAME successfully, added $LTPROOT/results"
-            else
-                echo "Cannot Update TAR File: ./$TAR_FILE_NAME for adding $LTPROOT/results"
-            fi
-        fi
-        if [ -e $LTPROOT/nohup.out ] ; then                 ## If User would have Chosen nohup to do ltprun
-            tar -uf ./$TAR_FILE_NAME $LTPROOT/nohup.out
-            if [ $? -eq 0 ]; then
-                echo "Updated TAR File: ./$TAR_FILE_NAME successfully, added $LTPROOT/nohup.out"
-            else
-                echo "Cannot Update TAR File: ./$TAR_FILE_NAME for adding $LTPROOT/nohup.out"
-            fi
-        fi
-        gzip ./$TAR_FILE_NAME                               ## gzip this guy
-        if [ $? -eq 0 ]; then
-            echo "Gunzipped TAR File: ./$TAR_FILE_NAME"
-        else
-            echo "Cannot Gunzip TAR File: ./$TAR_FILE_NAME"
-        fi
-        if which mutt >/dev/null 2>&1; then
-            echo "Starting mailing reports to: $EMAIL_TO, file: ./$TAR_FILE_NAME.gz"
-            mutt -a ./$TAR_FILE_NAME.gz -s "LTP Reports on $test_start_time" -- $EMAIL_TO < /dev/null
-            if [ $? -eq 0 ]; then
-                echo "Reports Successfully mailed to: $EMAIL_TO"
-            else
-                echo "Reports cannot be mailed to: $EMAIL_TO"
-            fi
-        else ## Use our Ageold mail program
-            echo "Starting mailing reports to: $EMAIL_TO, file: ./$TAR_FILE_NAME.gz"
-            uuencode ./$TAR_FILE_NAME.gz $TAR_FILE_NAME.gz | mail  $EMAIL_TO -s "LTP Reports on $test_start_time"
-            if [ $? -eq 0 ]; then
-                echo "Reports Successfully mailed to: $EMAIL_TO"
-            else
-                echo "Reports cannot be mailed to: $EMAIL_TO"
-            fi
-        fi
-    fi
-
-    [ ! -z "$QUIET_MODE" ] && { echo "INFO: Test end time: $(date)" ; }
-
-    [ "$GENLOAD" -eq 1 ] && { killall -9 genload  >/dev/null 2>&1; }
-    [ "$NETPIPE" -eq 1 ] && { killall -9 NPtcp  >/dev/null 2>&1; }
-
-    [ "$ALT_DIR_OUT" -eq 1 ] || [ "$ALT_DIR_RES" -eq 1 ] && \
-    {
-    cat <<-EOF >&1
-
-       ###############################################################
-
-            Done executing testcases.
-            LTP Version:  $version_date
-       ###############################################################
-
-	EOF
-    }
-
-    deprecated
-
-    exit $VALUE
-}
-
-set_block_device()
-{
-    if [ -n "$DEVICE" ]; then
-        export LTP_DEV=$DEVICE
-    fi
-}
-
-cleanup()
-{
-    [ "$LOOP_DEV" ] && losetup -d $LOOP_DEV
-    rm -rf ${TMP}
-}
-
-
-LTP_SCRIPT="$(basename $0)"
-
-if [ "$LTP_SCRIPT" = "runltp" ]; then
-    setup
-    main "$@"
-fi
-- 
2.51.0


-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [LTP] [PATCH 4/4] kirk: Remove runltp-ng symlink
  2026-02-04 11:53 [LTP] [PATCH 0/4] Remove runltp Petr Vorel
                   ` (2 preceding siblings ...)
  2026-02-04 11:53 ` [LTP] [PATCH 3/4] runltp: Remove Petr Vorel
@ 2026-02-04 11:53 ` Petr Vorel
  2026-02-04 12:15   ` Andrea Cervesato via ltp
  2026-02-04 12:59 ` [LTP] [PATCH 0/4] Remove runltp Cyril Hrubis
  4 siblings, 1 reply; 17+ messages in thread
From: Petr Vorel @ 2026-02-04 11:53 UTC (permalink / raw)
  To: ltp
  Cc: Thomas Petazzoni, Vasileios Almpanis, Tim Bird, Julien Olivain,
	automated-testing

kirk is here long enough to remove the symlink.

Signed-off-by: Petr Vorel <pvorel@suse.cz>
---
 tools/kirk/Makefile | 2 --
 1 file changed, 2 deletions(-)

diff --git a/tools/kirk/Makefile b/tools/kirk/Makefile
index 876eb3e2ed..859afde6e6 100644
--- a/tools/kirk/Makefile
+++ b/tools/kirk/Makefile
@@ -17,8 +17,6 @@ ifneq ($(wildcard $(abs_srcdir)/kirk-src/libkirk/*.py),)
 	install -m 00644 $(abs_srcdir)/kirk-src/libkirk/*.py $(BASE_DIR)/libkirk
 	install -m 00644 $(abs_srcdir)/kirk-src/libkirk/channels/*.py $(BASE_DIR)/libkirk/channels
 	install -m 00775 $(abs_srcdir)/kirk-src/kirk $(BASE_DIR)/kirk
-
-	cd $(BASE_DIR) && ln -sf kirk runltp-ng
 endif
 
 include $(top_srcdir)/include/mk/generic_leaf_target.mk
-- 
2.51.0


-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply related	[flat|nested] 17+ messages in thread

* Re: [LTP] [PATCH 4/4] kirk: Remove runltp-ng symlink
  2026-02-04 11:53 ` [LTP] [PATCH 4/4] kirk: Remove runltp-ng symlink Petr Vorel
@ 2026-02-04 12:15   ` Andrea Cervesato via ltp
  2026-02-04 12:46     ` Petr Vorel
  0 siblings, 1 reply; 17+ messages in thread
From: Andrea Cervesato via ltp @ 2026-02-04 12:15 UTC (permalink / raw)
  To: Petr Vorel, ltp
  Cc: Thomas Petazzoni, Vasileios Almpanis, Tim Bird, Julien Olivain,
	automated-testing

Hi!

On Wed Feb 4, 2026 at 12:53 PM CET, Petr Vorel wrote:
> kirk is here long enough to remove the symlink.
>
> Signed-off-by: Petr Vorel <pvorel@suse.cz>
> ---
>  tools/kirk/Makefile | 2 --
>  1 file changed, 2 deletions(-)
>
> diff --git a/tools/kirk/Makefile b/tools/kirk/Makefile
> index 876eb3e2ed..859afde6e6 100644
> --- a/tools/kirk/Makefile
> +++ b/tools/kirk/Makefile
> @@ -17,8 +17,6 @@ ifneq ($(wildcard $(abs_srcdir)/kirk-src/libkirk/*.py),)
>  	install -m 00644 $(abs_srcdir)/kirk-src/libkirk/*.py $(BASE_DIR)/libkirk
>  	install -m 00644 $(abs_srcdir)/kirk-src/libkirk/channels/*.py $(BASE_DIR)/libkirk/channels
>  	install -m 00775 $(abs_srcdir)/kirk-src/kirk $(BASE_DIR)/kirk
> -
> -	cd $(BASE_DIR) && ln -sf kirk runltp-ng
>  endif
>  
>  include $(top_srcdir)/include/mk/generic_leaf_target.mk

This is the only point where im not 100% sure. I'm wondering if we
should keep a symlink to `runltp`, just in case people will have CI
working on LTP.

-- 
Andrea Cervesato
SUSE QE Automation Engineer Linux
andrea.cervesato@suse.com


-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [LTP] [PATCH 4/4] kirk: Remove runltp-ng symlink
  2026-02-04 12:15   ` Andrea Cervesato via ltp
@ 2026-02-04 12:46     ` Petr Vorel
  2026-02-04 13:45       ` Andrea Cervesato via ltp
  0 siblings, 1 reply; 17+ messages in thread
From: Petr Vorel @ 2026-02-04 12:46 UTC (permalink / raw)
  To: Andrea Cervesato
  Cc: Thomas Petazzoni, Vasileios Almpanis, Tim Bird, Julien Olivain,
	ltp, automated-testing

Hi Andrea, all,
> Hi!

> On Wed Feb 4, 2026 at 12:53 PM CET, Petr Vorel wrote:
> > kirk is here long enough to remove the symlink.

> > Signed-off-by: Petr Vorel <pvorel@suse.cz>
> > ---
> >  tools/kirk/Makefile | 2 --
> >  1 file changed, 2 deletions(-)

> > diff --git a/tools/kirk/Makefile b/tools/kirk/Makefile
> > index 876eb3e2ed..859afde6e6 100644
> > --- a/tools/kirk/Makefile
> > +++ b/tools/kirk/Makefile
> > @@ -17,8 +17,6 @@ ifneq ($(wildcard $(abs_srcdir)/kirk-src/libkirk/*.py),)
> >  	install -m 00644 $(abs_srcdir)/kirk-src/libkirk/*.py $(BASE_DIR)/libkirk
> >  	install -m 00644 $(abs_srcdir)/kirk-src/libkirk/channels/*.py $(BASE_DIR)/libkirk/channels
> >  	install -m 00775 $(abs_srcdir)/kirk-src/kirk $(BASE_DIR)/kirk
> > -
> > -	cd $(BASE_DIR) && ln -sf kirk runltp-ng
> >  endif

> >  include $(top_srcdir)/include/mk/generic_leaf_target.mk

> This is the only point where im not 100% sure. I'm wondering if we
> should keep a symlink to `runltp`, just in case people will have CI
> working on LTP.

I'm not sure if hiding 'kirk' under 'runltp' symlink is a good idea. If yes,
there should be a big warning if people run it via symlink (detect in
kirk-src/kirk that it was run via 'runltp').

Do you agree with removing 'runltp-ng' symlink?

Kind regards,
Petr

-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [LTP] [PATCH 0/4] Remove runltp
  2026-02-04 11:53 [LTP] [PATCH 0/4] Remove runltp Petr Vorel
                   ` (3 preceding siblings ...)
  2026-02-04 11:53 ` [LTP] [PATCH 4/4] kirk: Remove runltp-ng symlink Petr Vorel
@ 2026-02-04 12:59 ` Cyril Hrubis
  2026-02-04 22:38   ` Petr Vorel
  4 siblings, 1 reply; 17+ messages in thread
From: Cyril Hrubis @ 2026-02-04 12:59 UTC (permalink / raw)
  To: Petr Vorel
  Cc: Vasileios Almpanis, Tim Bird, Julien Olivain, Thomas Petazzoni,
	ltp, automated-testing

Hi!
>  INSTALL                                       |   4 +-
>  Makefile                                      |   2 +-
>  doc/developers/test_case_tutorial.rst         |   6 +-
>  doc/developers/todo.rst                       |  10 -
>  metadata/README.md                            |   2 +-
>  runltp                                        | 959 ------------------
>  .../kernel/fs/fs_readonly/test_robind.sh      |   2 +-
>  .../kernel/io/direct_io/dma_thread_diotest.c  |   3 +-
>  testcases/kernel/security/smack/README        |   2 +-
>  testcases/network/can/filter-tests/INSTALL    |   2 +-
>  testcases/network/rpc/rpc-tirpc/README        |   2 +-
>  testscripts/Readme_ROBind                     |   4 +-
>  testscripts/lvmtest.sh                        |   2 +-
>  tools/kirk/Makefile                           |   2 -
>  14 files changed, 16 insertions(+), 986 deletions(-)
>  delete mode 100755 runltp

This is missing the pan/ directory and old scripts that use ltp-pan.
Just do git grep ltp-pan to see what should be removed as well.

And also the scripts that format the output from runltp into html that's
toos/genhtml.pl and html_report_header.txt.

-- 
Cyril Hrubis
chrubis@suse.cz

-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [LTP] [PATCH 3/4] runltp: Remove
  2026-02-04 11:53 ` [LTP] [PATCH 3/4] runltp: Remove Petr Vorel
@ 2026-02-04 13:15   ` Li Wang via ltp
  2026-02-04 13:21     ` Petr Vorel
  2026-02-04 13:32     ` Andrea Cervesato via ltp
  0 siblings, 2 replies; 17+ messages in thread
From: Li Wang via ltp @ 2026-02-04 13:15 UTC (permalink / raw)
  To: Petr Vorel
  Cc: Thomas Petazzoni, Vasileios Almpanis, Tim Bird, Julien Olivain,
	ltp, automated-testing

Petr Vorel wrote:

> It was replaced with kirk.
> 
> https://github.com/linux-test-project/kirk
> 
> Signed-off-by: Petr Vorel <pvorel@suse.cz>
> ---
>  Makefile |   2 +-
>  runltp   | 959 -------------------------------------------------------

Perhaps we could create a symbolic link in the root directory pointing
to /tool/kirk/kirk-src/kirk?

Otherwise, people might be confused because they can't find the LTP
runner in the root dir.

-- 
Regards,
Li Wang


-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [LTP] [PATCH 3/4] runltp: Remove
  2026-02-04 13:15   ` Li Wang via ltp
@ 2026-02-04 13:21     ` Petr Vorel
  2026-02-04 13:27       ` Cyril Hrubis
  2026-02-04 13:32     ` Andrea Cervesato via ltp
  1 sibling, 1 reply; 17+ messages in thread
From: Petr Vorel @ 2026-02-04 13:21 UTC (permalink / raw)
  To: Li Wang
  Cc: Thomas Petazzoni, Vasileios Almpanis, Tim Bird, Julien Olivain,
	ltp, automated-testing

> Petr Vorel wrote:

> > It was replaced with kirk.

> > https://github.com/linux-test-project/kirk

> > Signed-off-by: Petr Vorel <pvorel@suse.cz>
> > ---
> >  Makefile |   2 +-
> >  runltp   | 959 -------------------------------------------------------

> Perhaps we could create a symbolic link in the root directory pointing
> to /tool/kirk/kirk-src/kirk?

> Otherwise, people might be confused because they can't find the LTP
> runner in the root dir.

We have /opt/ltp/kirk. Andrea suggested under 4th patch to symlink it to runltp, 
but it'd be good to modify it to print warning it's not runltp, but kirk. See:
https://lore.kernel.org/ltp/20260204124640.GA244528@pevik/

Kind regards,
Petr

-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [LTP] [PATCH 3/4] runltp: Remove
  2026-02-04 13:21     ` Petr Vorel
@ 2026-02-04 13:27       ` Cyril Hrubis
  2026-02-04 13:28         ` Li Wang via ltp
  2026-02-04 22:36         ` Petr Vorel
  0 siblings, 2 replies; 17+ messages in thread
From: Cyril Hrubis @ 2026-02-04 13:27 UTC (permalink / raw)
  To: Petr Vorel
  Cc: Vasileios Almpanis, Tim Bird, Julien Olivain, Thomas Petazzoni,
	ltp, automated-testing

Hi!
> We have /opt/ltp/kirk. Andrea suggested under 4th patch to symlink it to runltp, 
> but it'd be good to modify it to print warning it's not runltp, but kirk. See:

I would put a simple runltp script in there that would just say to
switch to kirk:

$ cat runtlp
#/bin/sh

echo "runltp was removed from LTP use kirk instead"

-- 
Cyril Hrubis
chrubis@suse.cz

-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [LTP] [PATCH 3/4] runltp: Remove
  2026-02-04 13:27       ` Cyril Hrubis
@ 2026-02-04 13:28         ` Li Wang via ltp
  2026-02-04 22:36         ` Petr Vorel
  1 sibling, 0 replies; 17+ messages in thread
From: Li Wang via ltp @ 2026-02-04 13:28 UTC (permalink / raw)
  To: Cyril Hrubis
  Cc: Vasileios Almpanis, Tim Bird, Julien Olivain, Thomas Petazzoni,
	ltp, automated-testing

On Wed, Feb 4, 2026 at 9:26 PM Cyril Hrubis <chrubis@suse.cz> wrote:

> Hi!
> > We have /opt/ltp/kirk. Andrea suggested under 4th patch to symlink it to
> runltp,
> > but it'd be good to modify it to print warning it's not runltp, but
> kirk. See:
>
> I would put a simple runltp script in there that would just say to
> switch to kirk:
>
> $ cat runtlp
> #/bin/sh
>
> echo "runltp was removed from LTP use kirk instead"
>

This is a good idea, better to plus kirk simple usage (or where to find it).

-- 
Regards,
Li Wang

-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [LTP] [PATCH 3/4] runltp: Remove
  2026-02-04 13:15   ` Li Wang via ltp
  2026-02-04 13:21     ` Petr Vorel
@ 2026-02-04 13:32     ` Andrea Cervesato via ltp
  1 sibling, 0 replies; 17+ messages in thread
From: Andrea Cervesato via ltp @ 2026-02-04 13:32 UTC (permalink / raw)
  To: Li Wang, Petr Vorel
  Cc: Thomas Petazzoni, Vasileios Almpanis, Tim Bird, Julien Olivain,
	ltp, automated-testing

On Wed Feb 4, 2026 at 2:15 PM CET, Li Wang wrote:
> Petr Vorel wrote:
>
> > It was replaced with kirk.
> > 
> > https://github.com/linux-test-project/kirk
> > 
> > Signed-off-by: Petr Vorel <pvorel@suse.cz>
> > ---
> >  Makefile |   2 +-
> >  runltp   | 959 -------------------------------------------------------
>
> Perhaps we could create a symbolic link in the root directory pointing
> to /tool/kirk/kirk-src/kirk?
>
> Otherwise, people might be confused because they can't find the LTP
> runner in the root dir.

I wouldn't use symlinks, they are not reliable. It's better to have the
current setup with a script in the home directory pointing to the
libkirk library.

-- 
Andrea Cervesato
SUSE QE Automation Engineer Linux
andrea.cervesato@suse.com


-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [LTP] [PATCH 4/4] kirk: Remove runltp-ng symlink
  2026-02-04 12:46     ` Petr Vorel
@ 2026-02-04 13:45       ` Andrea Cervesato via ltp
  2026-02-04 16:59         ` Petr Vorel
  0 siblings, 1 reply; 17+ messages in thread
From: Andrea Cervesato via ltp @ 2026-02-04 13:45 UTC (permalink / raw)
  To: Petr Vorel
  Cc: Thomas Petazzoni, Vasileios Almpanis, Tim Bird, Julien Olivain,
	ltp, automated-testing

>
> Do you agree with removing 'runltp-ng' symlink?
>

In general I would say yes. If we want to keep the `runtltp` script
name, tho, we can do something like:

	install -m 00775 $(abs_srcdir)/kirk-src/kirk $(BASE_DIR)/runltp

inside the `tools/kirk/Makefile`. In this way we keep the same structure
of the previous LTP installation, having a script name that is also more
clear for the regular user. I'm pretty sure a lot of people won't
understand what `kirk` is, inside the main installation folder.

-- 
Andrea Cervesato
SUSE QE Automation Engineer Linux
andrea.cervesato@suse.com


-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [LTP] [PATCH 4/4] kirk: Remove runltp-ng symlink
  2026-02-04 13:45       ` Andrea Cervesato via ltp
@ 2026-02-04 16:59         ` Petr Vorel
  0 siblings, 0 replies; 17+ messages in thread
From: Petr Vorel @ 2026-02-04 16:59 UTC (permalink / raw)
  To: Andrea Cervesato
  Cc: Thomas Petazzoni, Vasileios Almpanis, Tim Bird, Julien Olivain,
	ltp, automated-testing


> > Do you agree with removing 'runltp-ng' symlink?


> In general I would say yes. If we want to keep the `runtltp` script
> name, tho, we can do something like:

> 	install -m 00775 $(abs_srcdir)/kirk-src/kirk $(BASE_DIR)/runltp

> inside the `tools/kirk/Makefile`. In this way we keep the same structure
> of the previous LTP installation, having a script name that is also more
> clear for the regular user. I'm pretty sure a lot of people won't
> understand what `kirk` is, inside the main installation folder.

I'm not sure if kirk installed as runltp would not cause even more confusion.
I'd prefer even not have a symlink.

Kind regards,
Petr

-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [LTP] [PATCH 3/4] runltp: Remove
  2026-02-04 13:27       ` Cyril Hrubis
  2026-02-04 13:28         ` Li Wang via ltp
@ 2026-02-04 22:36         ` Petr Vorel
  1 sibling, 0 replies; 17+ messages in thread
From: Petr Vorel @ 2026-02-04 22:36 UTC (permalink / raw)
  To: Cyril Hrubis
  Cc: Vasileios Almpanis, Tim Bird, Julien Olivain, Thomas Petazzoni,
	ltp, automated-testing

> Hi!
> > We have /opt/ltp/kirk. Andrea suggested under 4th patch to symlink it to runltp, 
> > but it'd be good to modify it to print warning it's not runltp, but kirk. See:

> I would put a simple runltp script in there that would just say to
> switch to kirk:

> $ cat runtlp
> #/bin/sh

> echo "runltp was removed from LTP use kirk instead"

+1, followed by exit 1 :).

Kind regards,
Petr

-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

* Re: [LTP] [PATCH 0/4] Remove runltp
  2026-02-04 12:59 ` [LTP] [PATCH 0/4] Remove runltp Cyril Hrubis
@ 2026-02-04 22:38   ` Petr Vorel
  0 siblings, 0 replies; 17+ messages in thread
From: Petr Vorel @ 2026-02-04 22:38 UTC (permalink / raw)
  To: Cyril Hrubis
  Cc: Vasileios Almpanis, Tim Bird, Julien Olivain, Thomas Petazzoni,
	ltp, automated-testing

> Hi!
> >  INSTALL                                       |   4 +-
> >  Makefile                                      |   2 +-
> >  doc/developers/test_case_tutorial.rst         |   6 +-
> >  doc/developers/todo.rst                       |  10 -
> >  metadata/README.md                            |   2 +-
> >  runltp                                        | 959 ------------------
> >  .../kernel/fs/fs_readonly/test_robind.sh      |   2 +-
> >  .../kernel/io/direct_io/dma_thread_diotest.c  |   3 +-
> >  testcases/kernel/security/smack/README        |   2 +-
> >  testcases/network/can/filter-tests/INSTALL    |   2 +-
> >  testcases/network/rpc/rpc-tirpc/README        |   2 +-
> >  testscripts/Readme_ROBind                     |   4 +-
> >  testscripts/lvmtest.sh                        |   2 +-
> >  tools/kirk/Makefile                           |   2 -
> >  14 files changed, 16 insertions(+), 986 deletions(-)
> >  delete mode 100755 runltp

> This is missing the pan/ directory and old scripts that use ltp-pan.
> Just do git grep ltp-pan to see what should be removed as well.

+1 (I was thinking about it, but in the end forgot).

> And also the scripts that format the output from runltp into html that's
> toos/genhtml.pl and html_report_header.txt.

+1.

Kind regards,
Petr

-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

^ permalink raw reply	[flat|nested] 17+ messages in thread

end of thread, other threads:[~2026-02-04 22:38 UTC | newest]

Thread overview: 17+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2026-02-04 11:53 [LTP] [PATCH 0/4] Remove runltp Petr Vorel
2026-02-04 11:53 ` [LTP] [PATCH 1/4] doc: INSTALL: dma_thread_diotest.c: Remove runltp from doc Petr Vorel
2026-02-04 11:53 ` [LTP] [PATCH 2/4] testscripts/lvmtest.sh: Replace runltp with kirk Petr Vorel
2026-02-04 11:53 ` [LTP] [PATCH 3/4] runltp: Remove Petr Vorel
2026-02-04 13:15   ` Li Wang via ltp
2026-02-04 13:21     ` Petr Vorel
2026-02-04 13:27       ` Cyril Hrubis
2026-02-04 13:28         ` Li Wang via ltp
2026-02-04 22:36         ` Petr Vorel
2026-02-04 13:32     ` Andrea Cervesato via ltp
2026-02-04 11:53 ` [LTP] [PATCH 4/4] kirk: Remove runltp-ng symlink Petr Vorel
2026-02-04 12:15   ` Andrea Cervesato via ltp
2026-02-04 12:46     ` Petr Vorel
2026-02-04 13:45       ` Andrea Cervesato via ltp
2026-02-04 16:59         ` Petr Vorel
2026-02-04 12:59 ` [LTP] [PATCH 0/4] Remove runltp Cyril Hrubis
2026-02-04 22:38   ` Petr Vorel

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox